//VIERNEB.POV
// (c) Asti, 1997

//1024x768: rendering time: 1 h 40 min


#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"

camera {
   location  <0, 6,-9>
   direction <0, 0,  1>
   up        <0, 1,  0>
   right   <4/3, 0,  0>
   look_at   <-1, 2.6, 0>
}

#declare Atmosphere_neu = atmosphere {
  type 1
  samples 20        // Partikelzahl
  distance 25       // Dichte der Atmosphre
  scattering 0.55    // Reflexionseigenschaften der A., bestimmt Helligkeit
  aa_level 8        // Level of binary subdivision in case of aa
  aa_threshold 0.1  // Threshold for aa to push in
  jitter 0.20       // Menge der bewegl. Partikel
}

atmosphere { Atmosphere_neu}

background {color DarkSlateBlue}

light_source {<10, 20, -30> color BlueViolet atmosphere off}
light_source {<-5, -5, -20> color DarkOrchid atmosphere off}
light_source {<0, 10, -20> color DarkPurple atmosphere off}

plane {y,-1
  texture {Chrome_Texture
       normal {waves 0.45}
       finish{
         ambient 0.25
         diffuse 0.15
         reflection 0.55
         brilliance 5
       }
  }
rotate <0,-15,0>
}//end plane

//*************************************************
//Kugel 1 mit Zylinder
union{

cone { <0  ,2.3 ,0  >,1.7 < 0 ,4  ,0  >, 0.1
   texture {Jade
     finish {ambient 0.6 reflection 0.65} 
     scale 3
     }//
}//end cone

sphere { <0, 3, 0>, 3
   texture {Glass3
     finish {
        ambient 0.5
        reflection 0.45
     } 
     }//ende t1

   texture{Glass2
      finish {
         ambient 0.7
         diffuse 0.8
         phong 0.2
         phong_size 2
         brilliance 0.2
         reflection 0.175
       }
   }//ende t2
}
translate <-2,0,0>
scale 0.53
}// Ende Kugel 1

//***********************************************************
//Kugel 2 mit Box
union{

box { <-0.9  ,2.8 ,-1  > < 1.1 ,4.8  ,1  >
   texture {White_Marble
     finish {ambient 0.6 reflection 0.65} 
     scale 2
     }//
translate <0,0,0>
scale 0.7
}//end box

sphere { <0, 3, 0>, 3
   texture {Glass3
     finish {
        ambient 0.5
        reflection 0.45
     } 
     }//ende t1

   texture{Glass2
      finish {
         ambient 0.7
         diffuse 0.8
         phong 0.1
         phong_size 2
         brilliance 0.2
         reflection 0.175
       }
   }//ende t2
}
translate <6.5,4.3,0>
scale 0.4
}// Ende Kugel 2
//************************************************************
//3.Kugel
union{

sphere {<0 ,3 ,0 >,1.2
    texture {Red_Marble scale 2}
    normal {dents 20}
    finish {ambient 0.3 diffuse 0.2 reflection 0.45}
}//end sphere

sphere { <0, 3, 0>, 3
   texture {Glass3
     finish {
        ambient 0.5
        reflection 0.45
     } 
     }//ende t1

   texture{Glass2
      finish {
         ambient 0.7
         diffuse 0.8
         phong 0.1
         phong_size 2
         brilliance 0.2
         reflection 0.175
       }
   }//ende t2
}
translate <-11,10.5,0>
scale 0.35
}// Ende Union3

//********************************************************
//4.Kugel
union{

cylinder {<-0.9  ,2.8 ,-1  > < 1.1 ,4.8  ,1  >,1
  pigment {color SpicyPink  }
  finish {ambient 0.4 diffuse 0.2 reflection 0.35}
  scale 0.7
}//end cylinder

sphere { <0, 3, 0>, 3
   texture {Glass3
     finish {
        ambient 0.5
        reflection 0.45
     } 
     }//ende t1

   texture{Glass2
      finish {
         ambient 0.7
         diffuse 0.8
         phong 0.1
         phong_size 2
         brilliance 0.2
         reflection 0.175
       }
   }//ende t2
}
translate <-1,10,0>
scale 0.42
}// Ende Union4


light_source { 
  <5, 3, -3> color VioletRed
  spotlight
  point_at <-3, 6.5, 0>
  radius 12
  falloff 5
  tightness 1
  atmospheric_attenuation on
}

light_source { 
  <5, 3, -3> color GreenCopper
  spotlight
  point_at <-3, 5.5, 0>
  radius 12
  falloff 5
  tightness 1
  atmospheric_attenuation on
}

light_source { 
  <5, 3, -3> color RichBlue
  spotlight
  point_at <-3, 4.0, 0>
  radius 12
  falloff 5
  tightness 1
  atmospheric_attenuation on
}

light_source { 
  <5, 3, -3> color Maroon
  spotlight
  point_at <-3, 2.5, 0>
  radius 12
  falloff 5
  tightness 1
  atmospheric_attenuation on
}
